use std::collections::HashMap;
use bevy::prelude::*;

use crate::components::*;
use crate::util::roll;

pub fn initiate_battle(query: Query<Entity, With<PlayerCharacter>>, mut commands: Commands) {
    let order: HashMap<u32, Entity> = query.iter().map(|ent| {
	let (total, _rolls) = roll("1d20");
	(total, ent)
    }).collect();

    commands.spawn(Battle(order));
}
    
